FLANG

Public Member Functions | List of all members
Fortran::common::UnsignedInt128 Class Reference

## Public Member Functions
constexpr | UnsignedInt128 (unsigned n)
constexpr | UnsignedInt128 (unsigned long n)
constexpr | UnsignedInt128 (unsigned long long n)
constexpr | UnsignedInt128 (int n)
constexpr | UnsignedInt128 (long n)
constexpr | UnsignedInt128 (long long n)
constexpr | UnsignedInt128 (const UnsignedInt128 &)=default
constexpr | UnsignedInt128 (UnsignedInt128 &&)=default
constexpr UnsignedInt128 & | operator= (const UnsignedInt128 &)=default
constexpr UnsignedInt128 & | operator= (UnsignedInt128 &&)=default
constexpr UnsignedInt128 | operator+ () const
constexpr UnsignedInt128 | operator~ () const
constexpr UnsignedInt128 | operator- () const
constexpr bool | operator! () const
constexpr | operator bool () const
constexpr | operator std::uint64_t () const
constexpr | operator int () const
constexpr std::uint64_t | high () const
constexpr std::uint64_t | low () const
constexpr UnsignedInt128 | operator++ ()
constexpr UnsignedInt128 | operator++ (int)
constexpr UnsignedInt128 | operator-- ()
constexpr UnsignedInt128 | operator-- (int)
constexpr UnsignedInt128 | operator& (UnsignedInt128 that) const
constexpr UnsignedInt128 | operator| (UnsignedInt128 that) const
constexpr UnsignedInt128 | operator^ (UnsignedInt128 that) const
constexpr UnsignedInt128 | operator<< (UnsignedInt128 that) const
constexpr UnsignedInt128 | operator>> (UnsignedInt128 that) const
constexpr UnsignedInt128 | operator+ (UnsignedInt128 that) const
constexpr UnsignedInt128 | operator- (UnsignedInt128 that) const
constexpr UnsignedInt128 | operator* (UnsignedInt128 that) const
constexpr UnsignedInt128 | operator/ (UnsignedInt128 that) const
constexpr UnsignedInt128 | operator% (UnsignedInt128 that) const
constexpr bool | operator< (UnsignedInt128 that) const
constexpr bool | operator<= (UnsignedInt128 that) const
constexpr bool | operator== (UnsignedInt128 that) const
constexpr bool | operator!= (UnsignedInt128 that) const
constexpr bool | operator>= (UnsignedInt128 that) const
constexpr bool | operator> (UnsignedInt128 that) const
constexpr UnsignedInt128 & | operator&= (const UnsignedInt128 &that)
constexpr UnsignedInt128 & | operator|= (const UnsignedInt128 &that)
constexpr UnsignedInt128 & | operator^= (const UnsignedInt128 &that)
constexpr UnsignedInt128 & | operator<<= (const UnsignedInt128 &that)
constexpr UnsignedInt128 & | operator>>= (const UnsignedInt128 &that)
constexpr UnsignedInt128 & | operator+= (const UnsignedInt128 &that)
constexpr UnsignedInt128 & | operator-= (const UnsignedInt128 &that)
constexpr UnsignedInt128 & | operator*= (const UnsignedInt128 &that)
constexpr UnsignedInt128 & | operator/= (const UnsignedInt128 &that)
constexpr UnsignedInt128 & | operator%= (const UnsignedInt128 &that)

The documentation for this class was generated from the following file:

- include/flang/Common/uint128.h